/**
 * Shoots BulletBills.
 * 
 * @author Jannis Andrija Schnitzer, Martin Schend
 * @version 2011-01-22
 */
public class BulletBillGun  extends Gun 
{
    public static final int BASE_RECOVERY = 10;
    public static final int DY = 50;
    
    public BulletBillGun()
    {
        super();
    }
    public BulletBillGun(double abs_speed, double angle)
    {
        super(abs_speed, angle);
    }
    public BulletBillGun(Vector speed)
    {
        super(speed);
    }
    protected void init()
    {
        super.init();
        initial_recovery = BASE_RECOVERY;
        
        recovery = initial_recovery;
        dy = direction * DY;
    }
    public BulletBillGun copy_gun() {
        BulletBillGun g = new BulletBillGun(abs_speed, angle);
        g.setRecovery(recovery);
        g.setLevel(level);
        return g;
    }
    
    public BulletBill get_missile() {
        return new BulletBill(level);
    }
}
